# Class Configuration#getTimeZone

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getTimeZone(successCallback, errorCallback) Gets time zone.

## Class Detail

Configuration#getTimeZone(successCallback, errorCallback)
Gets time zone.

    // Javascript code
    function getTimeZone () {
      function successCb(cbObject) {

         console.log("timeZone.continent : " + cbObject.timeZone.continent);
         console.log("timeZone.country : " + cbObject.timeZone.country);
         console.log("timeZone.city : " + cbObject.timeZone.city);

         // Do something

      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getTimeZone(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.3
Returns:
  {Object}

  Property | Type | Description | Required
  --- | --- | --- | ---
  timeZone | Object |  | required
  timeZone.continent | String | continent | required
  timeZone.country | String | country | required
  timeZone.city | String | city | required

See:
  Configuration.setTimeZone()
  Configuration.getTimeZoneList()